package com.xintong.visualinspection.service;

import java.util.List;

import com.xintong.visualinspection.bean.Role;
import com.xintong.visualinspection.bean.User;
import com.xintong.visualinspection.pojo.RoleData;

/**
 * 文件名：UserService 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
public interface RoleService {
	public List<Role> getRoles(Role role, User u);

	public void insert(Role role);

	public void update(Role role);

	public void delete(Integer id);

	public void roleBindPermission(Integer roleId,Integer permissionId);

	public void roleBindUser(Integer roleId,Integer userId);

	public void roleBindDepartment(Integer roleId,Integer departmentId);

	public void roleBindJob(Integer roleId,Integer jobId);

	public List<Role> getRoleByDept(Integer departmentId);

	public List<Role> getRoleByUser(Integer userId);

	public List<Role> getRoleByPosition(Integer positionId);
	public List<RoleData> getRoleDatas(Role role);
	
	public void roleUnBindUser(Integer userId);
	
	public List<Role> getRoleByPermision(Integer permisionid);
}
